Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.views.navigator
Class NavigatorDragAdapter

    java.lang.Object
      org.eclipse.swt.dnd.DragSourceAdapter
          org.eclipse.ui.views.navigator.NavigatorDragAdapter

All Implemented Interfaces:
  DragSourceListener, EventListener, org.eclipse.swt.internal.SWTEventListener

public class NavigatorDragAdapter
extends DragSourceAdapter

Implements drag behaviour when items are dragged out of the resource navigator.

Since:
  2.0

Constructor Summary
`NavigatorDragAdapter(ISelectionProvider provider)` Constructs a new drag adapter.

Method Summary
`void` | `dragFinished(DragSourceEvent event)` This implementation of `dragFinished` does nothing.
`void` | `dragSetData(DragSourceEvent event)` This implementation of `dragSetData` does nothing.
`void` | `dragStart(DragSourceEvent event)` This implementation of `dragStart` permits the drag operation to start.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NavigatorDragAdapter

    public NavigatorDragAdapter(ISelectionProvider provider)

  Constructs a new drag adapter.

Method Detail

### dragFinished

    public void dragFinished(DragSourceEvent event)

  Description copied from class: `DragSourceAdapter`
  This implementation of `dragFinished` does nothing. For additional information see `DragSourceListener.dragFinished`.

  Specified by:
    `dragFinished` in interface `DragSourceListener`
  Overrides:
    `dragFinished` in class `DragSourceAdapter`

### dragSetData

    public void dragSetData(DragSourceEvent event)

  Description copied from class: `DragSourceAdapter`
  This implementation of `dragSetData` does nothing. For additional information see `DragSourceListener.dragSetData`.

  Specified by:
    `dragSetData` in interface `DragSourceListener`
  Overrides:
    `dragSetData` in class `DragSourceAdapter`

### dragStart

    public void dragStart(DragSourceEvent event)

  Description copied from class: `DragSourceAdapter`
  This implementation of `dragStart` permits the drag operation to start. For additional information see `DragSourceListener.dragStart`.

  Specified by:
    `dragStart` in interface `DragSourceListener`
  Overrides:
    `dragStart` in class `DragSourceAdapter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.